<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Test Project</title>
    <link rel="stylesheet" href="style.css" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ"
      crossorigin="anonymous"
    />
    <script
      src="https://code.jquery.com/jquery-3.6.4.min.js"
      integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8="
      crossorigin="anonymous"
    ></script>
    <link rel=”stylesheet” href=”https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css”>
<script src=”https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js”></script>
  </head>
  <body>
    <script src="index.js"></script>
    <form>
      <!-- <h3 id="h3">Admin Page</h3> -->
      <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light bg-dark bg-gradient">
          <a class="navbar-brand" href="#"><H3 id="navtext">Admin Page</H3></a>
        </nav>
      </div>
      <br />
      <p id="ErrorMsg" style="display:none;">Please enter all required fields to save the section!!!</p>
      <div id="add">
        <button id="addSection" type="button" class="btn btn-outline-dark">+ Q</button>
      </div>
      <div class="container-fluid frm">

      <div id="question">
        <label id="labelquestion" for="">Question 1</label>
        <input id="questionTxt1" required class="form-control" type="text" class="form-control"/>
      </div>
      <div class="type">
        <label id="t1" for="">Answer-type</label>
        <select class="form-control" item id="answerType" name="answer-type" id="text">
          <option value="text">text</option>
          <option value="option">option</option>
          <option value="date">date</option>
        </select>
      </div>
      <div class="type">
        <label for="">Answer</label>
        <input class="form-control" id="answerInput" required type="text" />
      </div>
      <div id="datepicker" 
      class="input-group date" 
      data-date-format="mm-dd-yyyy" style="display:none;">
     <input class="form-control" id="datePickerID" class="" 
            type="text" readonly />
     <span class="input-group-addon">
         <i class="glyphicon glyphicon-calendar"></i>
     </span>
 </div>
      <div class="type">
        <label for="">Default Answer</label>
        <input class="form-control" type="text" required id="defaultAnswerTxt1" />
      </div>
      <div class="type">
        <label for="">Score</label>
        <input class="form-control" id="scoreTxt1" type="text" />
      </div>
      <!-- <article class="clock" id="model3">
        <h6></h6>
  
        <div class="count">
          <div id="timer"></div>
        </div>
      </article> -->
      <hr>
    </div>
    <div>
      <button id="generate" type="button" class="btn btn-success">
        Generate
      </button>
    </div>
      <script type="text/javascript">
         $(function () {
            $("#datepicker").datepicker({ 
                autoclose: true, 
                todayHighlight: true,
                todayBtn : "linked",
                // title : "datepicker"
            }).datepicker('update', new Date());
        });
        // A $( document ).ready() block.
        $(document).ready(function () {
          //startTimer();
          $("#datepicker").datepicker({ 
                autoclose: true, 
                todayHighlight: true,
            }).datepicker('update', new Date());
          $("#answerType").change(function () {
            let optionSelected = $("option:selected", this).text();
            if (optionSelected == "date") {
              $("#datepicker").show();
              $("#answerInput").hide();

            } else {
              $("#datepicker").hide();
              $("#answerInput").show();
            }
          });
        });
      </script>
      
    </form>
    <script src=
    "https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" 
            integrity=
    "sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" 
            crossorigin="anonymous">
        </script>
        <script src=
    "https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" 
            integrity=
    "sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" 
            crossorigin="anonymous">
        </script>
        <script src=
    "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js">
        </script>
  </body>
</html>
